# Created by pyp2rpm-3.3.1
%global pypi_name modint

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 6
Summary:        Python implementation of the Chinese Remainder algorithm
Group:          Development/Python
License:        MIT
URL:            https://github.com/shlomif/modint
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# fix for doc build with sphinx 8.1
Patch0:         python-modint-docs.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(click) >= 6.0
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Python implementation of the Chinese Remainder algorithm.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click) >= 6.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Python implementation of the Chinese Remainder algorithm.

%package -n python-%{pypi_name}-doc
Summary:        modint documentation

%description -n python-%{pypi_name}-doc
Documentation for modint.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# fix options failing in tests
sed -i "/--cov=modint --cov-report/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files modint

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 0.4.0-6.mga10
+ Revision: 2157269
- rebuild for python3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 0.4.0-5.mga10
+ Revision: 2150035
- fix for doc build with sphinx 8.1

* Thu Dec 26 2024 papoteur <papoteur> 0.4.0-4.mga10
+ Revision: 2130308
- fix tests

* Fri Feb 23 2024 papoteur <papoteur> 0.4.0-3.mga10
+ Revision: 2043543
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.4.0-2.mga9
+ Revision: 1833311
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.4.0-1.mga9
+ Revision: 1783761
- version 0.4.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.2.1-7.mga9
+ Revision: 1732349
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2.1-6.mga8
+ Revision: 1532722
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.2.1-5.mga8
+ Revision: 1442917
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.2.1-4.mga8
+ Revision: 1435679
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.2.1-3.mga7
+ Revision: 1353355
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1289194
- Mageia 7 Mass Rebuild

* Wed May 02 2018 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1224680
- add BRs
- New version 0.2.1
- add BRs
- build fixes
- pyp2rpm

